#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define sdo_version 0.11.0
%define rel 1

Name:           kget
Summary:        Versatile and user-friendly download manager
Group:          Networking/File transfer
Version: 4.11.4
Release:        %mkrel %{rel}
Epoch:          3
URL:            http://www.kde.org/applications/internet/kget/
License:        GPLv2 LGPLv2 GFDL
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
#Patch1:         kdenetwork-4.8.95-zero-length-memset.patch

BuildRequires:  kdepimlibs4-devel >= 2:%{version}
BuildRequires:  nepomuk-widgets-devel
BuildRequires:  kdebase4-workspace-devel >= 2:%{version}
BuildRequires:  kdebase4-devel >= 1:%{version}
BuildRequires:  pkgconfig(shared-desktop-ontologies) >= %{sdo_version}
BuildRequires:  pkgconfig(libmms)
BuildRequires:  boost-devel
BuildRequires:  libktorrent-devel

Conflicts:      kdenetwork4-core < 3:4.5.72
Conflicts:      krdc < 3:4.8.97-3

Suggests:       kget-handbook


%description
KGet is a versatile and user-friendly download manager.
Features:
  - Downloading files from FTP and HTTP(S) sources.
  - Pausing and resuming of downloading files, as well as the ability to restart
    a download.
  - Tells lots of information about current and pending downloads.
  - Embedding into system tray.
  - Integration with the Konqueror web browser.
  - Metalink support which contains multiple URLs for downloads, along with
    checksums and other information.

%files
%_kde_bindir/kget
%_kde_libdir/kde4/krunner_kget.so
%_kde_libdir/kde4/kget_*
%_kde_libdir/kde4/plasma_engine_kget.so
%_kde_libdir/kde4/kcm_kget_checksumsearchfactory.so
%_kde_libdir/kde4/kcm_kget_metalinkfactory.so
%_kde_libdir/kde4/kcm_kget_bittorrentfactory.so
%_kde_libdir/kde4/kcm_kget_mmsfactory.so
%_kde_libdir/kde4/kcm_kget_mirrorsearchfactory.so
%_kde_libdir/kde4/kcm_kget_multisegkiofactory.so
%_kde_libdir/kde4/plasma_kget_barapplet.so
%_kde_libdir/kde4/plasma_kget_piechart.so
%_kde_appsdir/kget
%_kde_appsdir/dolphinpart/kpartplugins/kget_plug_in.rc
%_kde_appsdir/dolphinpart/kpartplugins/kget_plug_in.desktop
%_kde_appsdir/kconf_update/kget.upd
%_kde_appsdir/kconf_update/kget_limitdownloads.pl
%_kde_appsdir/kconf_update/kget_sensitive.pl
%_kde_appsdir/khtml/kpartplugins/kget_plug_in.rc
%_kde_appsdir/khtml/kpartplugins/kget_plug_in.desktop
%_kde_appsdir/kwebkitpart/kpartplugins/kget_plug_in.desktop
%_kde_appsdir/kwebkitpart/kpartplugins/kget_plug_in.rc
%_kde_applicationsdir/kget.desktop
%_kde_services/kgetbarapplet-default.desktop
%_kde_services/kgetpiechartapplet-default.desktop
%_kde_services/plasma-runner-kget.desktop
%_kde_services/plasma-engine-kget.desktop
%_kde_services/ServiceMenus/kget_download.desktop
%_kde_services/kget_*
%_kde_iconsdir/*/*/apps/kget.*
%_kde_datadir/ontology/kde/kget_history.ontology
%_kde_datadir/ontology/kde/kget_history.trig
%_kde_datadir/kde4/servicetypes/kget_*
%_kde_datadir/config.kcfg/kget*
%_datadir/dbus-1/services/org.kde.kget.service

#------------------------------------------------------------------------------

%define major_kgetcore 4
%define libkgetcore %mklibname kgetcore %{major_kgetcore}

%package -n %libkgetcore
Summary:     Runtime library for KGET
Group:       System/Libraries

%description -n %libkgetcore
Runtime library for KGET

%files -n %libkgetcore
%_kde_libdir/libkgetcore.so.%{major_kgetcore}*

#------------------------------------------------------------------------------

%package -n kget-handbook
Summary: Kget Handbook
BuildArch: noarch
Group: Documentation
Requires:  kget >= %{epoch}:%{version}-%{release}
Conflicts: kget < 3:4.7.1
%description -n kget-handbook
This package provides KGET handbook.

%files -n kget-handbook
%doc %{_kde_docdir}/HTML/en/kget


#------------------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libkgetcore = %{epoch}:%{version}

Conflicts: kdenetwork4-devel < 3:4.10.80

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%_kde_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
%makeinstall_std -C build

%changelog
* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga4
+ Revision: 554994
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551262
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 540464
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490840
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 3:4.11.1-2.mga4
+ Revision: 488633
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476917
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465314
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458908
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455298
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Sun Jul 07 2013 lmenut <lmenut> 3:4.10.90-1.mga4
+ Revision: 451000
- Add missing conflicts

  + mikala <mikala>
    - Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
    - imported package kget

